Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004266 [JEDI VCL] 00 JVCL Components crash always 2007-10-15 11:39 2007-12-17 12:18
Reporter Michi23 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.33
Summary 0004266: installation crash under "Delphi 5 Standard" environment
Description The solution for my recently reported pre-installation error works fine - replacing the JCL to the daily package version simply resolves the main problem.

Now, the other error appears during installation. I know that it is something with the new packages (both JvBDE and JvDB) included in JVCL v3.33 (in comparison to v3.31).

IMHO the JVCL installer should detect if I am using STD version of Delphi (where there is no DB-aware components like vclbde50 and dcldb50).
Additional Information
Tags No tags attached.
Attached Files jpg file icon jvcl333_d5std_no2.JPG [^] (96,765 bytes) 2007-10-15 11:39

- Relationships

-  Notes
(0014061)
AHUser (developer)
2007-12-16 08:28

Could it be that you have a db.dcu in the $(DELPHI)\lib direcory? The JVCL installer looks for this file and if the file exists, the Delphi-Edition is identified as non-standard/non-personal.

I have changed the installer so it looks for bin\dcldb*.bpl instead of lib\db.dcu.

- Issue History
Date Modified Username Field Change
2007-10-15 11:39 Michi23 New Issue
2007-10-15 11:39 Michi23 File Added: jvcl333_d5std_no2.JPG
2007-10-16 05:27 Michi23 Issue Monitored: Michi23
2007-12-16 08:28 AHUser Note Added: 0014061
2007-12-16 08:28 AHUser Assigned To => AHUser
2007-12-16 08:28 AHUser Status new => feedback
2007-12-17 12:17 AHUser Status feedback => resolved
2007-12-17 12:17 AHUser Fixed in Version => Daily / SVN
2007-12-17 12:17 AHUser Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker